package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class COBTEST4_SV_ITEM_KEY {
    public @Getter @Builder.Default String SV_ITEM_CONT_NO = StringUtils
            .repeat(' ', 13);
    public @Getter @Builder.Default String SV_ITEM_IITEM = StringUtils.repeat(
            ' ', 5);
    public @Getter @Builder.Default String SV_ITEM_IITEM_GB = StringUtils
            .repeat(' ', 2);

    public void setSV_ITEM_CONT_NO(String source) {
        SV_ITEM_CONT_NO = StringUtils.truncate(
                StringUtils.rightPad(source, 13), 13);
    }

    public void setSV_ITEM_IITEM(String source) {
        SV_ITEM_IITEM = StringUtils
                .truncate(StringUtils.rightPad(source, 5), 5);
    }

    public void setSV_ITEM_IITEM_GB(String source) {
        SV_ITEM_IITEM_GB = StringUtils.truncate(
                StringUtils.rightPad(source, 2), 2);
    }

    public void set(String source) {
        SV_ITEM_CONT_NO = source.substring(0, 13);
        SV_ITEM_IITEM = source.substring(13, 18);
        SV_ITEM_IITEM_GB = source.substring(18, 20);
    }

    @Override
    public String toString() {
        return getSV_ITEM_CONT_NO() + getSV_ITEM_IITEM()
                + getSV_ITEM_IITEM_GB();
    }
}
